Module org.jfree.demos
Package com.orsoncharts.demo

# Class ExitOnClose

java.lang.Object
java.awt.event.WindowAdapter
com.orsoncharts.demo.ExitOnClose

All Implemented Interfaces:
  `WindowFocusListener`, `WindowListener`, `WindowStateListener`, `EventListener`

public class ExitOnClose extends WindowAdapter
Shuts down the JVM when the demo window is closed.

## Constructor Summary

Constructors
Constructor
Description
`ExitOnClose()`

## Method Summary

Modifier and Type
Method
Description
`void`
`windowClosing(WindowEvent e)`

### Methods inherited from class java.awt.event.WindowAdapter

`windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExitOnClose

public ExitOnClose()

## Method Details

### windowClosing

public void windowClosing(WindowEvent e)

Specified by:
  `windowClosing` in interface `WindowListener`
Overrides:
  `windowClosing` in class `WindowAdapter`